zenilib: zenilib/jni/external/freetype2/src/gzip/infcodes.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Enumerations | Functions
infcodes.c File Reference
`#include "zutil.h"`
`#include "inftrees.h"`
`#include "infblock.h"`
`#include "infcodes.h"`
`#include "infutil.h"`

Go to the source code of this file.

## Macros

#define | bits word.what.Bits
#define | exop word.what.Exop

## Enumerations

enum | inflate_codes_mode { START, LEN, LENEXT, DIST, DISTEXT, COPY, LIT, WASH, END, BADCODE }

## Functions

local int | inflate_codes (inflate_blocks_statef *s, z_streamp z, int r)
local void | inflate_codes_free (inflate_codes_statef *c, z_streamp z)
local inflate_codes_statef * | inflate_codes_new (uInt bl, uInt bd, inflate_huft *tl, inflate_huft *td, z_streamp z)

## Macro Definition Documentation

#define bits word.what.Bits

Definition at line 14 of file infcodes.c.

#define exop word.what.Exop

Definition at line 13 of file infcodes.c.

## Enumeration Type Documentation

enum inflate_codes_mode

Enumerator
START |
LEN |
LENEXT |
DIST |
DISTEXT |
COPY |
LIT |
WASH |
END |
BADCODE |

Definition at line 16 of file infcodes.c.

## Function Documentation

local int inflate_codes | ( | inflate_blocks_statef * | s,
|  | z_streamp | z,
|  | int | r
| ) |  |

Definition at line 80 of file infcodes.c.

References Assert, BADCODE, COPY, DIST, DISTEXT, DUMPBITS, e, END, FLUSH, inflate_fast(), inflate_mask, j, k, LEAVE, LEN, LENEXT, LIT, LOAD, m, NEEDBITS, NEEDOUT, OUTBYTE, START, Tracevv, UPDATE, WASH, Z_DATA_ERROR, Z_OK, Z_STREAM_END, and Z_STREAM_ERROR.

Referenced by inflate_blocks().

local void inflate_codes_free | ( | inflate_codes_statef * | c,
|  | z_streamp | z
| ) |  |

Definition at line 244 of file infcodes.c.

References Tracev, and ZFREE.

Referenced by inflate_blocks(), and inflate_blocks_reset().

local inflate_codes_statef* inflate_codes_new | ( | uInt | bl,
|  | uInt | bd,
|  | inflate_huft * | tl,
|  | inflate_huft * | td,
|  | z_streamp | z
| ) |  |

Definition at line 58 of file infcodes.c.

References START, Tracev, Z_NULL, and ZALLOC.

Referenced by inflate_blocks().